#![doc = include_str!("../README.md")]

mod parse;
pub mod usage;

pub use jimtcl as jim;
pub use jimtcl::{Interp, JimError, JimObject, JimResult};

/// Create an interpreter with added Guardian commands.
pub fn guardian_interp() -> JimResult<Interp> {
    let interp = Interp::new()?;

    interp.add_command("parse json", parse::parse_json)?;
    interp.add_command("parse toml", parse::parse_toml)?;
    interp.add_command("parse yaml", parse::parse_yaml)?;
    interp.eval("ensemble parse")?;

    Ok(interp)
}
